%define name	soundconverter
%define version	0.7.1
%define release 1mdk

Name: 	 	%{name}
Summary: 	Sound converter application for the GNOME environment
Version: 	%{version}
Release: 	%{release}

Source:		http://download.berlios.de/soundconverter/%{name}-%{version}.tar.bz2
URL:		http://soundconverter.berlios.de/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	gnome-python-gnomevfs
Requires:	gstreamer-python
Requires:	gnome-python-gconf 
BuildArch:	noarch

%description
SoundConverter is a simple sound converter application for the GNOME
environment. It reads and writes WAV, FLAC, MP3 and Ogg Vorbis. The user
interface is raw, but should be simple enough to get the job done. 

NOTE: To create MP3 files, you will have to install gstreamer-lame yourself.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_datadir/%name
cp *.png *.glade %buildroot/%_datadir/%name
sed 's,^GLADE *=.*,GLADE = "%_datadir/%name/soundconverter.glade",' soundconverter.py > %name
chmod 755 %name
mkdir %buildroot/%_bindir
cp %name %buildroot/%_bindir/
mkdir -p %buildroot/%_mandir/man1
cp *.1 %buildroot/%_mandir/man1/
bzip2 %buildroot/%_mandir/man1/*.1

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Sound Converter" longtitle="Change sound file formats" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 logo.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 logo.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 logo.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc ChangeLog README TODO
%{_bindir}/%name
%{_datadir}/%name
%{_mandir}/man1/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sat Apr 2 2005 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- initial package
